MANPATH(1)

NOME
manpath - determina il percorso di ricerca delle pagine di manuale

SINTASSI
manpath [-qgdc] [-m sistema[,...]]

DESCRIZIONE
Se $MANPATH è impostata, manpath ne mostrerà semplicemente il contenuto e genererà un avviso. Se non lo è, manpath determinerà un percorso di ricerca di gerarchie di pagine di manuale adatto e mostrerà il risultato.

I percorsi separati da `:' sono determinati usando le informazioni ottenute dal file di configurazione di man-db (/etc/man_db.conf) e dall'ambiente degli utenti.

OPZIONI

-q, --quiet
    Non genera nessun avviso.

-d, --debug
    Produce informazioni utili al debug.

-c, --catpath
    Produce un percorso cat invece di uno man. Una volta che è determinato il percorso man, ogni elemento di percorso è convertito nel suo percorso cat relativo.

-g, --global
    Produce un percorso man constituito da tutti i percorsi denominati globali all'interno del file di configurazione di man-db.

-m sistema [,...], --systems=sistema [,...]
    Se questo sistema ha accesso alle gerarchie di pagine di manuale di altri sistemi operativi, questa opzione può essere usata per includerle nell'output di manpath. Per includere le gerarchie di pagine di manuale di NewOS, usare l'opzione -m NewOS.

    Il sistema specificato può essere una combinazione qualsiasi di nomi di sistemi operativi separati da virgole. Per includere le gerachie di pagine di manuale del sistema operativo nativo, si deve includere il nome di sistema man nella stringa argomento. Usando questa opzione verrà ignorata la variabile d'ambiente $SYSTEM.

-h, --help
    Mostra un messaggio d'aiuto ed esce.

-V, --version
    Mostra informazioni sulla versione e sull'autore.

VARIABILI D'AMBIENTE

MANPATH
    Se $MANPATH è impostata, manpath ne mostra il valore invece che determinarlo al momento. Se $MANPATH inizia con un `due punti' (`:'), allora il valore della variabile è accodato all'elenco determinato dal contenuto dei file di configurazione. Se i `due punti' sono alla fine del valore della variabile, allora è l'elenco determinato dai file di configurazione ad essere accodato al valore della variabile. Se il valore della variabile contiene un doppio `due punti' (::), allora l'elenco determinato dai file di configurazione è inserito nel mezzo del valore, tra i due `due punti'.

SYSTEM
    Se $SYSTEM è impostata, avrà lo stesso effetto che fosse specificata come argomento dell'opzione -m.

FILE

/etc/man_db.conf
    File di configurazione di sistema.

VEDERE ANCHE
apropos(1), whatis(1), man(1).

AUTORE
Wilf. (G.Wilford@ee.surrey.ac.uk)
Fabrizio Polacco (fpolacco@debian.org).
Traduzione di Bortolozzo Giovanni (borto@pluto.linux.it)